<?php
if (!UserUtil::CurrentUserCan('UseAdminPanel')) {
	die('Simon says: Haha! Got ya! Visit mm-newmedia.de, punk!');
}

require_once(ABSPATH.'lib/acp/page/AbstractACPPage.class.php');

/**
 * Diese Klasse stellt den Import einer XML Kategoriestruktur dar
 *
 * @author Marcel Maa
 * @copyright 2010 MM Newmedia <http://www.newmedia.de>
 */
class CategoryDumperImportPage extends AbstractACPPage {
	
	/**
	 * Name des Templates
	 * @var string
	 */
	public $templateName = 'CategoryDumperImport';
	
	/**
	 * Enthlt alle XML Files mit Importdaten
	 * @var array
	 */
	public $fileList = array();
	
	/**
	 * Pfad zu den XML Dateien
	 * @var string
	 */
	public $xmlPath = "plugins/MMN_CategoryDumper/xml/";
	
	/**
	 * @see AbstractPage::readData()
	 */
	public function readData() {
		parent::readData();
		
		foreach (new DirectoryIterator(ABSPATH . $this->xmlPath) as $fileinfo) {
		    if (!$fileinfo->isDot() && strpos($fileinfo->getFilename(), '.xml') !== false) {
		        $this->fileList[] = array(
		        	$fileinfo->getFilename(),
		        	$fileinfo->getSize()
		        );
		    }
		}
	}
	
	/**
	 * @see AbstractACPPage::assignVariables()
	 */
	public function assignVariables() {
		parent::assignVariables();
		
		getTpl()->assign(array(
			'FileList' => $this->fileList
		));
	}
	
	/**
	 * @see AbstractACPPage::show()
	 */
	public function show() {
		getACPNavigation()->setParentFile('index.php?pluginPage=MMN_CategoryDumper&page=CategoryDumperImport');
		
		parent::show();
	}
	
}